# $Revision: 1.8 $, $Date: 2009/09/17 08:41:42 $
#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mail
%define	pnam	RBL
Summary:	Mail::RBL - Perl extension to access RBL-style host verification services
Summary(pl.UTF-8):	Mail::RBL - rozszerzenie perlowe do dostępu do usług weryfikacji hostów w stylu RBL
Name:		perl-Mail-RBL
Version:	1.10
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f71ee986c79ead33970bd1e4dfe7891c
URL:		http://search.cpan.org/dist/Mail-RBL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-NetAddr-IP >= 3.14
BuildRequires:	perl(Test::More)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is meant to help querying blackhole lists, typically for
use in anti-spam solutions.

%description -l pl.UTF-8
Ten moduł ma pomagać w odpytywaniu list "czarnych dziur", zwykle
używanych w mechanizmach antyspamowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Mail/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-RBL.spec,v $
Revision 1.8  2009/09/17 08:41:42  amateja
- tests switched off by default because they keep trying to access /etc/resolv.conf

Revision 1.7  2009/09/17 07:51:35  amateja
- updated to 1.10

Revision 1.6  2008/07/27 22:52:27  arekm
- release 2

Revision 1.5  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.3  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.2  2004/11/23 20:40:11  qboosh
- pl, URL, use package names in deps

Revision 1.1  2004/11/23 00:05:22  radek
- new
